Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1296198 - Ability to pass EndPointReferences through add_property()
Summary: Ability to pass EndPointReferences through add_property()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openwsman
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Vitezslav Crhonek
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks: 1296201 1380364 1465906 1513514
TreeView+ depends on / blocked
 
Reported: 2016-01-06 15:14 UTC by Marek Grac
Modified: 2018-04-10 14:50 UTC (History)
6 users (show)

Fixed In Version: openwsman-2.6.3-1.git4391e5c.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 14:49:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0829 None None None 2018-04-10 14:50:09 UTC

Description Marek Grac 2016-01-06 15:14:28 UTC
Hi,

in attempt to build a driver for Intel AMT and their new wsman interface we found out that add_property() do not accept EndPointReferences as is required. This issue is fixed in 2.4.10 but if version can't be upgraded it should be possible to backport this feature. 

Explained issue on upstream pages:
https://github.com/Openwsman/openwsman/issues/40

Comment 15 Alois Mahdal 2018-02-23 20:09:50 UTC
Thanks, @oalbrigt, for help with testing.

Comment 18 errata-xmlrpc 2018-04-10 14:49:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0829


Note You need to log in before you can comment on or make changes to this bug.